Subject: Re: Splitting e1000 (Was: Re: e1000: backport ich9 support from 7.5.5 ?)

From: Arjan van de Ven <[email-masked]>
Date: Sun, 08 Jul 2007 09:29:42 -0700

Stephen Hemminger wrote:
>> I would really like to continue with my original plan that I posted that follows 
>> Christoph's idea. I hope you can all agree with that so we can get on with this.
> 
> I think rather than having a meta-discussion, which always seems to degenerate
> into finger pointing. Let's look at the code. The problem with popular drivers
> (as I too well know) is that user's seem to find every wart.  There are lots of
> old drivers that never seem to get the same scrutiny, and if they did would
> be tarred and feathered.

I'd second this; also lets be honest and fair about things and use a 
similar standard for all drivers; are we going to ask all driver 
submitters to remove NAPI, TSO and other stuff? I would hope not. Are 
all new drivers that have even a single bitfield going to be rejected? 
That's be a new rule but ok, if it applies to all drivers it's fair.

So the question in my opinion should be "is this driver good enough 
for merging, and if not, what specifically is wrong enough to hold of 
merging" not "what would the perfect ideal 
we-have-all-the-time-in-the-world driver be" and certainly not "how is 
this going to work in an enterprise distro" since the later is the 
problem for the enterprise disro that they get paid to solve, not for 
kernel.org kernels.

What is there now is a driver that works, is relatively clean (and yes 
if you look deep enough you can ALWAYS nitpick on any code, even 
Linus' or Jeff's best code) and provides good performance with all the 
features a modern ethernet driver is supposed to have.

-------------------------------------------------------------------------
This SF.net email is sponsored by DB2 Express
Download DB2 Express C - the FREE version of DB2 express and take
control of your XML. No limits. Just data. Click to get it now.
http://sourceforge.net/powerbar/db2/